# boost::numeric::ublas::zero_matrix< T, ALLOC >::const_iterator2 Class Reference

List of all members.

## Public Types
typedef zero_matrix::value_type | value_type
typedef zero_matrix::difference_type | difference_type
typedef zero_matrix::const_reference | reference
typedef zero_matrix::const_pointer | pointer
typedef const_iterator1 | dual_iterator_type
typedef const_reverse_iterator1 | dual_reverse_iterator_type
## Public Member Functions
BOOST_UBLAS_INLINE | const_iterator2 (const self_type &m)
BOOST_UBLAS_INLINE const_iterator2 & | operator++ ()
BOOST_UBLAS_INLINE const_iterator2 & | operator-- ()
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_iterator1 | begin () const
BOOST_UBLAS_INLINE const_iterator1 | end () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE const_iterator2 & | operator= (const const_iterator2 &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator2 &it) const

### template<class T, class ALLOC>
class boost::numeric::ublas::zero_matrix< T, ALLOC >::const_iterator2